//+------------------------------------------------------------------+
//|                                                       XO_CCI.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_minimum -1
#property indicator_maximum 1
#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Red

extern int KPeriod=5;
extern int DPeriod=3;
extern int Slowing=3;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(1,ExtMapBuffer2);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
  double  Sig1,Sig2,Sig3,Sig4,SigResult1,SigResult2;
   int limit;
   int i;
   int    counted_bars=IndicatorCounted();
   
   if  (counted_bars>0) counted_bars--;
        limit=Bars-counted_bars; 
   for (i=0; i<limit; i++)
    {
  
                                                                                                                                                                                                                                         
       
         Sig1 = iCustom(NULL,0,"Stochastic",KPeriod,DPeriod,Slowing,0,i);
         Sig2 = iCustom(NULL,0,"Stochastic",KPeriod,DPeriod,Slowing,0,i);
    //     Sig3 = (iCustom(NULL,0,"Accelerator",LongPeriod,ShortPeriod,1,i);
    //     Sig4 = iCustom(NULL,0,"Accelerator",LongPeriod,ShortPeriod,1,i);
        
   // DETERMIN FORMAT OF HISTOGRAM
 
      if (Sig1 > 50 )//|| Sig2 > 0 )
         SigResult1 = 1 ;
          else  SigResult1 = 0;
     ExtMapBuffer1[i]= SigResult1; //Green
     
     if (Sig2 < 50 )//|| Sig1 < 0)
         SigResult2 = -1 ;
          else  SigResult2 = 0;
     ExtMapBuffer2[i]= SigResult2;
     
       
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+